class ProxyMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Pośrednik, kontroler zdalnego sterowania dla pojazdu");
        Vehicle vehicle = new VehicleProxy();
        vehicle.move();
        vehicle.move();
    }
}
